package ch.dvbern.stvbe.security.saml.handler;

import javax.xml.namespace.QName;

import org.codehaus.xfire.MessageContext;

import ch.dvbern.stvbe.security.saml.util.NsConstants;

/**
 * Definiert Konstanten fuer die Handler
 * @author GEMA
 *
 */
public class HandlerConstants {

	private HandlerConstants(){
	}
	
	/**
	 * Name des Message Context Properties fuer den Principal Namen. Der Handler Legt den Principal
	 * Namen unter diesem Key im {@link MessageContext} ab.
	 * @see MessageContext
	 */
	public static final String PRINCIPAL_NAME_PROP = "saml.principal.name";

	/**
	 * Name des Message Context Properties fuer die SAML Assertion. Der Handler Legt die SAML Assertion
	 * unter diesem Key im {@link MessageContext} ab.
	 * @see MessageContext
	 */
	public static final String ASSERTION_PROP = "saml.assertion";

	/**
	 * Der lokale Name des WSS Security Header Elements
	 */
	public static final String WSS_SECURITY_ELEM = "Security";
	
	/**
	 * Der qualifizierte Name des WSS Security Elements
	 */
	public static final QName SECURITY_HEADER_QNAME = new QName(NsConstants.WSS, WSS_SECURITY_ELEM);

}
