package ch.dvbern.stvbe.security.saml.handler.util;

import org.opensaml.SAMLAssertion;

/**
 * Das Resultat einer SAML Validierung
 * @author GEMA
 */
public class SamlValidationResult {

	
	private String username;
	private SAMLAssertion assertion;
	
	/**
	 * Konstruktor
	 * @param username  der Benutzername
	 * @param assertion die Assertion
	 */
	public SamlValidationResult(String username, SAMLAssertion assertion) {
		super();
		this.username = username;
		this.assertion = assertion;
	}
	
	/**
	 * Gibt den Benutzernamen zurueck
	 * @return den Namen
	 */
	public String getPrincipalName() {
		return username;
	}
	
	/**
	 * Gibt die SAML Assertion zurueck
	 * @return die Assertion
	 */
	public SAMLAssertion getAssertion() {
		return assertion;
	}
	
}
