package ch.dvbern.stvbe.security.saml.util;

/**
 * Konstanten fuer die Namen der Konfigurationsparameter
 * @author GEMA
 *
 */
public class ConfigKeys {
	
	private ConfigKeys() {
	}

	/**
	 * Key of the Resource name to look up in order to get the certificate
	 */
	public static final String CERTIFICATE_RESOURCE_NAME = "saml.certificate.resource.name";
	
	/**
	 * Name of the SAML Assertion Issuer
	 */
	public static final String ASSERTION_ISSUER = "saml.assertion.issuer";

	/**
	 * Name of the JAAS Security Domain
	 */
	public static final String SECURITY_DOMAIN = "saml.jaas.security.domain";
	
	/**
	 * Signatur optional
	 */
	public static final String SIGNATURE_VERIFICATION_DISABLED = "saml.signature.optional";

	/**
	 * Gltigkeitszeitraum optional
	 */
	public static final String TIME_VALIDITY_OPTIONAL = "saml.time.validity.optional";
	
	/**
	 * Gltigkeitszeitraum ignorieren
	 */
	public static final String TIME_VALIDITY_IGNORE = "saml.time.validity.ignore";

	/**
	 * Zeitstempel optional
	 */
	public static final String ALLOW_UNAUTHENTICATED = "saml.allow.unauthenticated";

	/**
	 * WSS4J Bridge
	 */
	public static final String WSS4J_BRIDGE = "saml.wss4j.bridge";

    /**
     * Path to the Truststore
     */
    public static final String TRUSTSTORE_PATH = "saml.truststore.path";
    
    /**
     * Password for the Truststore
     */
    public static final String TRUSTSTORE_PASSWORD = "saml.truststore.password";
}
