package ch.dvbern.stvbe.security.saml.verify;

import org.opensaml.SAMLAssertion;

/**
 * Interface fuer einen SAML Assertion Verifier
 * 
 * @author GEMA
 */
public interface SamlAssertionVerifier {

	/**
	 * Verifiziert eine SAML Assertion
	 * 
	 * @param assertion
	 *            die Assertion
	 * @throws SamlAssertionVerifyerException
	 */
	void verify(SAMLAssertion assertion) throws SamlAssertionVerifyerException;

	/**
	 * Legt fest, ob eine Authentifizierung ohne SAML Assertion moeglich ist
	 * 
	 * @return <code>true</code> falls eine Authentifizierung ohne SAML
	 *         Assertion moeglich ist
	 */
	boolean isAllowUnauthenticated();

	/**
	 * Extrahiert die User ID aus dieser SAML Assertion
	 * 
	 * @param assertion
	 *            die Assertion
	 * @return die User ID
	 */
	String getUsername(SAMLAssertion assertion);
}
